Subject: Re: bug#23966: 25.1.50; Frame resizing due to tool bar + Gnus

From: Stephen Berman <[email-masked]>
Date: Mon, 20 Jul 2020 11:50:57 +0200

On Mon, 20 Jul 2020 11:31:16 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> Moreover, I get these exact same results regardless of whether
>> frame-resize-pixelwise it nil or t, which is different from two years
>> ago, and also when I set gmm-tool-bar-style to 'gnome or
>> gnus-summary-tool-bar to 'gnus-summary-tool-bar-gnome before evaluating
>> the test code.
>
> If you switch tool-bar-mode on before starting Gnus (well, before
> loading anything else), do you get a proper tool bar in Gnus buffers?

Yes.

> In that case, I think we're seeing the same thing...

On Mon, 20 Jul 2020 11:33:56 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Hm!  If I call
>
> (gnus-summary-make-tool-bar)
>
> after switching tool-bar-mode on (in the summary buffer), I then get a
> proper tool bar.

Me too.

On Mon, 20 Jul 2020 11:43:06 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> As somebody who doesn't use tool bars normally, I'm wondering -- do we
> really need two different tool bar styles in Gnus?  Can't we just rip
> out the `retro' stuff and thing will possibly be less confusing?

I stopped regularly using tool bars a while ago, and even before I don't
think I knew about the Gnus retro tool bar... so as far as I'm
concerned, rip away!

Steve Berman